## qemu-user 0.10

=== debian/changelog ===
qemu-user (0.10-1) unstable; urgency=low

  * Repackaged.

 -- Javier Serrano Polo <javier@jasp.net>  Fri, 13 May 2011 08:32:57 +0200

qemu (0.9.1+svn20090104-1jasp1) experimental; urgency=low

  * Multiarch changes.

 -- Javier Serrano Polo <javier@jasp.net>  Wed, 02 Feb 2011 11:23:09 +0100

qemu (0.9.1+svn20090104-1) experimental; urgency=low

  [ Aurelien Jarno ]
  * New upstream snapshot.
  * Disable security/CVE-2008-0928-fedora.patch, it still breaks qcow 
    format.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 04 Jan 2009 16:31:40 +0100

qemu (0.9.1+svn20081223-1) experimental; urgency=low

  [ Aurelien Jarno ]
  * New upstream snapshot.
    - Fix CVE-2008-2382
  * Update patches/48_signal_terminate.patch.
  * debian/rules: remove upstream flags from CFLAGS.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 23 Dec 2008 14:51:25 +0100

qemu (0.9.1+svn20081214-1) experimental; urgency=low

  [ Aurelien Jarno ]
  * New upstream snapshot.
    - Fix jmp im on x86_64 when executing 32-bit code. Fix grub
      installation (Closes: bug#467148).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 14 Dec 2008 23:26:04 +0100

qemu (0.9.1+svn20081207-1) experimental; urgency=low
 
  [ Aurelien Jarno ]
  * New upstream snapshot.
    - Do not depend on gcc-3.4 anymore (Closes: bug#440425, bug#463066).
    - Fix broken display introduced by CVE-2007-1320 (Closes: bug#422578).
  * debian/control: remove build-dependency on gcc-3.4.
  * debian/rules: remove code for dyngen targets.
  * Split 90_security.patch into
    - security/CVE-2007-5730.patch
    - security/leftover.patch
  * Replace 91_security.patch by security/CVE-2008-0928-fedora.patch taken
    from fedora repository and enable it (Closes: #469649).

  [ Riku Voipio ]
  * 2 patches gone, 19 to go:
    - 10_signal_jobs.patch: drop, merged upstream
    - 11_signal_sigaction.patch: drop, merged upstream
    - series: update

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 07 Dec 2008 19:40:09 +0100

qemu (0.9.1+svn20081128-1) experimental; urgency=low

  [ Aurelien Jarno ]
  * New upstream snapshot.
    - Include documentation for network downscript option (Closes: 
      bug#506994). 
    - Drop 00_bios.patch and pass --disable-blobs instead.
    - Update 12_signal_powerpc_support.patch.
  
  [ Riku Voipio ]
  * Drop 31_syscalls.patch as it makes no sense using host uselib to 
    load target code into qemu's host memoryspace.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 29 Nov 2008 09:04:41 +0100

qemu (0.9.1+svn20081112-1) experimental; urgency=low

  [ Aurelien Jarno ]
  * New upstream snapshot.
    - does not need a disk image anymore (Closes: bug#260935).
    - 53_openbios_size.patch: drop (merged upstream).
    - 90_security: update.
  * debian/control: depend on openbios-sparc (>= 1.0~alpha2+20081109)
    (Closes: bug#502411, bug#502414).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 09 Nov 2008 14:42:37 +0100

qemu (0.9.1+svn20081101-1) experimental; urgency=low

  [ Aurelien Jarno ]
  * New upstream snapshot.
    - fix a heap overflow in Cirrus emulation (CVE-2008-4539).
    - 50_linuxbios_isa_bios_ram.patch: update.
    - 90_security.patch: update.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 01 Nov 2008 09:26:45 +0100

qemu (0.9.1+svn20081023-1) experimental; urgency=low

  [ Aurelien Jarno ]
  * New upstream snapshot.
    - 12_signal_powerpc_support.patch: update.
    - 50_linuxbios_isa_bios_ram.patch: update.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 23 Oct 2008 21:34:26 +0200

qemu (0.9.1+svn20081016-1) experimental; urgency=low

  [ Aurelien Jarno ]
  * New upstream snapshot.
  * patches/31_syscalls.patch: remove parts merged upstream.
  * debian/qemu-make-debian-root:
    - Fix bug introduced when fixing bug#496394 (Closes: bug#502325).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 13 Oct 2008 23:11:15 +0200

qemu (0.9.1+svn20081012-1) experimental; urgency=low

  [ Riku Voipio ]
  * Add a bunch of patches from scratchbox
    - 44_socklen_t_check work better with badbehavin net apps
    - 48_signal_terminate make qemu binary terminate on signals as expected
    - 49_null_checks don't bother some syscalls when null/zero is passed

  [ Aurelien Jarno ]
  * New upstream snapshot.
    - alpha is now a TCG target.
    - comma has been added to sendkey (closes: bug#414342).
  * patches/31_syscalls.patch: remove parts merged upstream.
  * patches/39_syscall_fadvise64.patch: remove (merged upstream).
  * patches/90_security.patch: remove parts merged upstream.
  * debian/control: build-depends on libbluetooth-dev.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 12 Oct 2008 18:46:54 +0200

qemu (0.9.1+svn20080905-1) experimental; urgency=low

  * New upstream snapshot.
    - SH4 is now a TCG target.
  * debian/watch: update URL location.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 02 Sep 2008 01:43:24 +0200

qemu (0.9.1+svn20080826-1) experimental; urgency=low

  * New upstream snapshot.
  * debian/qemu-make-debian-root:
    - Use mktemp instead of $$ to create temporary directories (Closes: 
      bug#496394).
  * Ship a libqemu-dev package (Closes: bug#451618).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 26 Aug 2008 09:55:36 +0200

qemu (0.9.1+svn20080822-1) experimental; urgency=low

  * New upstream snapshot.
    - Focus to monitor to ask password (Closes: bug#473240).
    - TCG SPARC host support (Closes: bug#450817).
    - Check KQEMU availability before allocating memory (Closes: bug#414566).
    - Fix dead keys (Closes: bug#489594).
    - Fix ES1370 emulation (Closes: bug#494462).
    - New USB UHCI implemnation (Closes: bug#457651).
    - Add debian/patches/00_bios.patch.
    - Remove debian/patches/02_snapshot_use_tmpdir.patch (merged).
    - Remove debian/patches/04_do_not_print_rtc_freq_if_ok.patch (merged).
    - Remove patches/05_non-fatal_if_linux_hd_missing.patch (merged).
    - Update debian/patches/07_i386_exec_name.patch
    - Update debian/patches/12_signal_powerpc_support.patch 

