=== debian/control ===
Source: qemu-user
Section: kernel
Priority: optional
Maintainer: Javier Serrano Polo <javier@jasp.net>
Build-Depends: debhelper (>= 8), dh-jasp, gcc-4.4-multilib [amd64],
 libattr1-dev, libemu-handler-dev, pkg-config, zlib1g-dev
Build-Depends-Indep: texi2html
Standards-Version: 3.9.1
Homepage: http://www.qemu.org/

Package: qemu-i386
Architecture: amd64 arm armel hppa i386 powerpc sparc kfreebsd-i386 kfreebsd-amd64 ppc64
Depends: binfmt-support [powerpc]
Description: Fast i386 processor emulator
 QEMU is a fast processor emulator: currently the package supports
 ARM, CRIS, i386, M68k (ColdFire), MIPS, PowerPC, SH4, SPARc and x86-64 
 emulation. By using dynamic translation it achieves reasonable speed 
 while being easy to port on new host CPUs.
 .
 This package provides the i386 user mode emulator.

Package: qemu-user
Architecture: amd64 arm armel hppa i386 powerpc sparc kfreebsd-i386 kfreebsd-amd64 ppc64
Depends: qemu-i386
Description: Fast processor emulator
 QEMU is a fast processor emulator: currently the package supports
 ARM, CRIS, i386, M68k (ColdFire), MIPS, PowerPC, SH4, SPARc and x86-64 
 emulation. By using dynamic translation it achieves reasonable speed 
 while being easy to port on new host CPUs.
 .
 This version operates in user mode emulation. QEMU can launch Linux processes
 compiled for one CPU on another CPU.
 .
 As QEMU requires no host kernel patches to run, it is very safe and
 easy to use.

Package: qemu-doc
Section: doc
Architecture: all
Description: Documentation for qemu-user
 QEMU is a fast processor emulator: currently the package supports
 ARM, CRIS, i386, M68k (ColdFire), MIPS, PowerPC, SH4, SPARc and x86-64 
 emulation. By using dynamic translation it achieves reasonable speed 
 while being easy to port on new host CPUs.
 .
 This package provides additional documentation.
